net.i2p.router.news

## Class NewsMetadata

- java.lang.Object
- - net.i2p.router.news.NewsMetadata

-     public class NewsMetadata
      extends Object

  Data structure for I2P router news feed metadata and update information.

  Contains standard Atom feed metadata fields including title, subtitle, and update timestamps, along with I2P-specific release information such as version requirements and update sources.

  Provides structured access to release data with nested classes for individual releases and their associated updates. Supports version comparison and validation for update management.

  All String and List fields may be null to accommodate optional metadata elements in news feeds.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `NewsMetadata.Release` Represents a software release with version requirements and update sources.
    `static class` | `NewsMetadata.Update` Represents an update source with multiple distribution methods.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `feedID`
    `String` | `feedSubtitle`
    `String` | `feedTitle`
    `long` | `feedUpdated`
    `List<NewsMetadata.Release>` | `releases` I2P metadata

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NewsMetadata()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### feedID

          public String feedID

    - #### feedSubtitle

          public String feedSubtitle

    - #### feedTitle

          public String feedTitle

    - #### feedUpdated

          public long feedUpdated

    - #### releases

          public List<NewsMetadata.Release> releases

      I2P metadata

  - ### Constructor Detail

    - #### NewsMetadata

          public NewsMetadata()